﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PassiveFormsExample
{   // Sample entity that owns its own *passive output form*  (no inputs on it!), Form1:
    class Edible {
       private string name;
       private Form1 myform;

       public Edible(string n) { 
           name = n; 
           myform = new Form1();
           myform.Text = name;  // set Title bar of Form1
           myform.Show();
       }

       // asks if human likes this object and displays the result in  myform:
       public void like() {
          DialogResult result = MessageBox.Show("Do you like " + name + "?", "Question", MessageBoxButtons.YesNo);
       if (result == DialogResult.Yes)  {
         myform.WriteLine("You like me.");
       }
       else {
         myform.WriteLine(")-:");
       }
   }

  }
}
